Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/fips186.h File Reference

NIST FIPS-186 pseudo-random generator, with SHA-1 as H function, header. More...

`#include "beecrypt.h"`
`#include "sha1.h"`

Go to the source code of this file.

## Data Structures
struct | fips186Param
## Defines
#define | FIPS186_STATE_SIZE 16
## Functions
int | fips186Setup (fips186Param *fp)
int | fips186Seed (fips186Param *fp, const uint32 *data, int size)
int | fips186Next (fips186Param *fp, uint32 *data, int size)
int | fips186Cleanup (fips186Param *fp)
## Variables
const randomGenerator | fips186prng

## Detailed Description

NIST FIPS-186 pseudo-random generator, with SHA-1 as H function, header.

Definition in file fips186.h.

## Define Documentation

#define FIPS186_STATE_SIZE 16

| Definition at line 50 of file fips186.h. Referenced by fips186Next, fips186Seed, and fips186Setup.

## Function Documentation

int fips186Cleanup | ( | fips186Param * | fp | ) |

| Definition at line 195 of file fips186.c.

int fips186Next | ( | fips186Param * | fp,
|  | uint32 * | data,
|  | int | size
| ) |

| Definition at line 129 of file fips186.c.

int fips186Seed | ( | fips186Param * | fp,
|  | const uint32 * | data,
|  | int | size
| ) |

| Definition at line 85 of file fips186.c. References BEECRYPTAPI, and uint32.

int fips186Setup | ( | fips186Param * | fp | ) |

| Definition at line 55 of file fips186.c.

## Variable Documentation

const randomGenerator fips186prng

| Definition at line 81 of file fips186.h.